<?php
	require "acesso.php";

	$res = array();
	$id_firma    = $_POST['id_firma'];
	$id_device   = $_POST['id_device'];

	//$con = new PDO("mysql:dbname=$database; charset=utf8", $usuario , $senha);

	if (isset($_POST['novo'])) {
		$arnomvde = $_POST['arnomvde'];
		$arsenvde = $_POST['arsenvde'];
		$desativado = $_POST['desativado'];
		$ativo      = $_POST['ativo'];
		$ret = $con->prepare("INSERT INTO vendedor (arnomvde, arsenvde, sr_deleted, areativo, artipvde_1) VALUE ('$arnomvde', '$arsenvde', '$desativado', '$ativo', '1')");
		try {
		$ret->execute();
		} catch (PDOException $e) {
		    $res['pdo'] = $e->getMessage();
		}
		$mensagem = $ret->errorInfo();
		if($mensagem[0] == "00000") {
			$res['id'] = $con->lastInsertId();
			$arcodvde = $con->lastInsertId();
			$ret = $con->prepare("UPDATE vendedor SET arcodvde = LPAD('$arcodvde', 3, '0') WHERE sr_recno = $arcodvde");
			$ret->execute();
			$mensagem = $ret->errorInfo();
			if($mensagem[0] == "00000") {
				$res["arcodvde"] = $arcodvde;
				$res["sucesso"] = 1;
			} else {
				$res["sucesso"] = 0;
			}
		} else {
			$res['sucesso'] = 0;
			$res['mensagem'] = $mensagem[2];
		}
	} else {
		$ret = $con->prepare("SELECT * FROM vendedor WHERE areativo = 1 AND artipvde_8 = 1 AND sr_deleted != 'T'");
		$ret->execute();
		$mensagem = $ret->errorInfo();
		if($ret->rowCount() > 0) {
			$res["vendedores"] = array();
			while ($row = $ret->fetch(PDO::FETCH_ASSOC)) {
				array_push($res["vendedores"], $row);
			}
			$res["sucesso"] = 1; 
		} else {
		    $res['sucesso'] = 0;
		    $res['mensagem'] = $mensagem[2];
		}
	}
	echo json_encode($res);
	$con = null;
?>